org.apache.poi.xssf.usermodel

## Class XSSFGraphicFrame

- java.lang.Object
- - org.apache.poi.xssf.usermodel.XSSFShape
  - - org.apache.poi.xssf.usermodel.XSSFGraphicFrame

- All Implemented Interfaces:
    Shape

      public final class XSSFGraphicFrame
      extends XSSFShape

  Represents DrawingML GraphicalObjectFrame.
  Author:
    Roman Kashitsyn

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.xssf.usermodel.XSSFShape

      `anchor, drawing, parent`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XSSFGraphicFrame(XSSFDrawing drawing, org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTGraphicalObjectFrame ctGraphicFrame)` Construct a new XSSFGraphicFrame object.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XSSFClientAnchor` | `getAnchor()` Returns the frame anchor.
    `org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTGraphicalObjectFrame` | `getCTGraphicalObjectFrame()`
    `long` | `getId()` Gets the frame id.
    `java.lang.String` | `getName()` Returns the frame name.
    `java.lang.String` | `getShapeName()`
    `protected org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties` | `getShapeProperties()` Returns xml bean with shape properties.
    `protected static org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTGraphicalObjectFrame` | `prototype()` Initialize default structure of a new graphic frame
    `protected void` | `setAnchor(XSSFClientAnchor anchor)` Attaches frame to an anchor.
    `protected void` | `setChart(XSSFChart chart, java.lang.String relId)` Assign a DrawingML chart to the graphic frame.
    `protected void` | `setId(long id)` Sets the frame id.
    `void` | `setMacro(java.lang.String macro)` Sets the frame macro.
    `void` | `setName(java.lang.String name)` Sets the frame name.

    - ### Methods inherited from class org.apache.poi.xssf.usermodel.XSSFShape

      `getDrawing, getParent, isNoFill, setFillColor, setLineStyle, setLineStyleColor, setLineWidth, setNoFill`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XSSFGraphicFrame

          protected XSSFGraphicFrame(XSSFDrawing drawing,
                                     org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTGraphicalObjectFrame ctGraphicFrame)

      Construct a new XSSFGraphicFrame object.
      Parameters:
        `drawing` - the XSSFDrawing that owns this frame
        `ctGraphicFrame` - the XML bean that stores this frame content

  - ### Method Detail

    - #### getCTGraphicalObjectFrame

          @Internal
          public org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTGraphicalObjectFrame getCTGraphicalObjectFrame()

    - #### prototype

          protected static org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTGraphicalObjectFrame prototype()

      Initialize default structure of a new graphic frame

    - #### setMacro

          public void setMacro(java.lang.String macro)

      Sets the frame macro.

    - #### setName

          public void setName(java.lang.String name)

      Sets the frame name.

    - #### getName

          public java.lang.String getName()

      Returns the frame name.
      Returns:
        name of the frame

    - #### setAnchor

          protected void setAnchor(XSSFClientAnchor anchor)

      Attaches frame to an anchor.

    - #### getAnchor

          public XSSFClientAnchor getAnchor()

      Returns the frame anchor.
      Specified by:
        `getAnchor` in interface `Shape`
      Overrides:
        `getAnchor` in class `XSSFShape`
      Returns:
        the XSSFClientAnchor anchor this frame is attached to

    - #### setChart

          protected void setChart(XSSFChart chart,
                                  java.lang.String relId)

      Assign a DrawingML chart to the graphic frame.

    - #### getId

          public long getId()

      Gets the frame id.

    - #### setId

          protected void setId(long id)

      Sets the frame id.

    - #### getShapeProperties

          protected org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties getShapeProperties()

      Description copied from class: `XSSFShape`
      Returns xml bean with shape properties.
      Specified by:
        `getShapeProperties` in class `XSSFShape`
      Returns:
        xml bean with shape properties.

    - #### getShapeName

          public java.lang.String getShapeName()

      Returns:
        the name of this shape

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.